Python and pip in NixOS

Hello,
total NixOS newbie here.

I want to install pip packages in NixOS but got several Errors.

When i want to install pip packages via terminal and pip install npyscreen I get the following error:

WARNING: You are using pip version 20.1.1; however, version 21.3.1 is available

It also said that I use python 3.8 but when I run pyhton3 it show me the Version 3.9.

My question: Why is using NixOS the older python version and how do I upgrade pip and install the packages?

Thanks and sorry for not-knowing :smiley: